<?php

namespace App;

use Zizaco\Entrust\EntrustRole;

class Role extends EntrustRole
{
    protected $table = 'roles';

    protected $fillable = ['name', 'display_name', 'description','promotoria_id'];

    public function permissions() {
        return $this->belongsToMany('App\Permission', 'permission_role');
    }

    public function users() {

        return $this->belongsToMany('App\User', 'role_user');
    }
}
